# TMR_LLRP_LlrpReader Struct Reference

`#include <tmr_llrp_reader.h>`

List of all members.

## Public Attributes

pthread_t | llrpReceiver
pthread_mutex_t | receiverLock
uint64_t | ka_start
ROSpecProtocolTable | readPlanProtocol [TMR_SR_MAX_PACKET_SIZE]
TMR_LLRP_UnhandledAsyncResponse | unhandledAsyncResponse
bool | isResponsePending
bool | threadCancel

## Detailed Description

LLRP reader structure

## Member Data Documentation

bool TMR_LLRP_LlrpReader::isResponsePending

To check the status of async unhandled responses

uint64_t TMR_LLRP_LlrpReader::ka_start

For monitoring keepalives: Used only in case of async reading

pthread_t TMR_LLRP_LlrpReader::llrpReceiver

LLRP Asynchronous receiver to handle keep alive and events.

ROSpecProtocolTable TMR_LLRP_LlrpReader::readPlanProtocol[TMR_SR_MAX_PACKET_SIZE]

For monitoring protocol type in case of multiprotocol read

pthread_mutex_t TMR_LLRP_LlrpReader::receiverLock

The above variables must be protected by this lock

bool TMR_LLRP_LlrpReader::threadCancel

To cancel the receiver thread

TMR_LLRP_UnhandledAsyncResponse TMR_LLRP_LlrpReader::unhandledAsyncResponse

For monitoring the unhandeled responses during the async read

The documentation for this struct was generated from the following file:

- tmr_llrp_reader.h